Ilastik won't start on Win8.1Pro since 1.3.0

ilastik

#1

Hello world.
My Windows 8.1Pro workstations can’t seem to run any version of Ilastik after 1.2.0. (that is 1.3.0 , 1.3.2b3, and now 1.3.2rc1) When launching from Powershell the error messages below appear and the splash screen fails to display. Any hints as to what the culprit might be would be appreciated!

PS C:\Program Files\ilastik-1.3.2rc1> .\ilastik.exe
Traceback (most recent call last):
File “C:\Program Files\ilastik-1.3.2rc1\lib\site-packages\numpy\core_init_.py”, line 16, in
from . import multiarray
ImportError: DLL load failed: The operating system cannot run %1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Program Files\ilastik-1.3.2rc1\ilastik-meta\ilastik\ilastik.py”, line 123, in
main()
File “C:\Program Files\ilastik-1.3.2rc1\ilastik-meta\ilastik\ilastik.py”, line 66, in main
import ilastik_main
File “C:\Program Files\ilastik-1.3.2rc1\ilastik-meta\ilastik\ilastik_main.py”, line 5, in
import ilastik.config
File “C:\Program Files\ilastik-1.3.2rc1\ilastik-meta\ilastik\ilastik_init_.py”, line 145, in
check_depends()
File "C:\Program Files\ilastik-1.3.2rc1\ilastik-meta\ilastik\ilastik_init
.py", line 138, in check_depends
import h5py
File "C:\Program Files\ilastik-1.3.2rc1\lib\site-packages\h5py_init
.py", line 36, in
from ._conv import register_converters as register_converters
File “h5py\h5t.pxd”, line 14, in init h5py.conv
File “h5py\numpy.pxd”, line 66, in init h5py.h5t
File "C:\Program Files\ilastik-1.3.2rc1\lib\site-packages\numpy_init
.py", line 142, in
from . import add_newdocs
File “C:\Program Files\ilastik-1.3.2rc1\lib\site-packages\numpy\add_newdocs.py”, line 13, in
from numpy.lib import add_newdoc
File "C:\Program Files\ilastik-1.3.2rc1\lib\site-packages\numpy\lib_init
.py", line 8, in
from .type_check import *
File “C:\Program Files\ilastik-1.3.2rc1\lib\site-packages\numpy\lib\type_check.py”, line 11, in
import numpy.core.numeric as nx
File "C:\Program Files\ilastik-1.3.2rc1\lib\site-packages\numpy\core_init
.py", line 24, in
raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
If you’re working with a numpy git repo, try git clean -xdf (removes all
files not under version control). Otherwise reinstall numpy.

ilastik error:
The operation completed successfully.


#2

Hey @BoZap,

that is really unfortunate! Thank you for gin through the trouble of trying multiple versions. The error looks really suspicious. I have tried to reproduce it on a windows machine (64 bit, windows 10 18.03) starting ilastik 1.3.2b3 from the Powershell and it works. Could you give us some more details about your machine?


#3

Hi There @k-dominik, thanks for your quick response!
The machine is a Fujitsu Celsius R930power ruining 8.1 Pro on a 2-CPU XeonE5-3690 with 512GB RAM. The OS is thus 64 bit and it has an x64 processor. My GPU is an Nvidia Quadro K6000. The critical system updates are all up to date, as are all the drivers. The workstation isn’t my email/browser workstation so it’s mostly loaded with Image processing apps (Fiji, CP, Ilastik, Amira) but also Adobe CC, excel, PyThon 3.7.1 (I tried removing), Ilastik wise it’s got installed 0.5.12, 1.1.1, 1.1.4, 1.1.5, 1.1.8, 1.2.0, 1.3.0 1.3.2b3, and 1.3.2rc1 at this moment.
To be clear, the newer versions don’t launch any way I start them, I just mentioned launching from the powershell as the method I used to have the command prompt not disapear with the error message.


#4

wow, you really got them all. I’m not quite sure how to get to the bottom of it, but I’ll try.


#5

Thanks, yeah I’ve been running Ilastik for a while and keeping up with the improvements. FYI I also just tried rc2 you had posted for the halloween bug to no avail - same bug. Let me know if I can send any logs or anything else that would be of any use. I tried using the numpy lib folder inside “site-packages” from an older version but that didn’t work either - no sloppy hacks I guess :slight_smile: